Get investments history
curl --request POST \
--url https://whitebit.com/api/v4/main-account/smart/investments \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"id": "0d7b66ff-1909-4938-ab7a-d16d9a64dcd5",
"ticker": "USDT",
"status": 1,
"request": "{{request}}",
"nonce": 1594297865000
}
'import requests
url = "https://whitebit.com/api/v4/main-account/smart/investments"
payload = {
"id": "0d7b66ff-1909-4938-ab7a-d16d9a64dcd5",
"ticker": "USDT",
"status": 1,
"request": "{{request}}",
"nonce": 1594297865000
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '0d7b66ff-1909-4938-ab7a-d16d9a64dcd5',
ticker: 'USDT',
status: 1,
request: '{{request}}',
nonce: 1594297865000
})
};
fetch('https://whitebit.com/api/v4/main-account/smart/investments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offset": 0,
"limit": 100,
"records": [
{
"id": "0d7b66ff-1909-4938-ab7a-d16d9a64dcd5",
"plan": {
"id": "8e667b4a-0b71-4988-8af5-9474dbfaeb51",
"ticker": "USDT",
"status": 1,
"percent": "10",
"duration": 14400,
"interestTicker": "USDT",
"interestRatio": "1",
"minInvestment": "100",
"maxInvestment": "10000",
"maxPossibleInvestment": "3000"
},
"status": 1,
"created": 1646825196,
"updated": 1646825196,
"paymentTime": 1646839596,
"amount": "100",
"interestPaid": "0"
}
]
}{
"code": 0,
"message": "Validation failed",
"errors": {
"id": [
"The selected id is invalid."
],
"ticker": [
"The selected ticker is invalid."
],
"status": [
"The selected status is invalid."
]
}
}Get investments history
Retrieve the history of fixed-term Smart investment operations via the WhiteBIT V4 API.
Get investments history
These endpoints are available only for B2B partner services. Fill the form at https://whitebit.com/institutional-services/b2b to request access.
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Request signature
Example:
"{{request}}"
Unique request identifier
Example:
1594297865000
Investment identifier
Example:
"0d7b66ff-1909-4938-ab7a-d16d9a64dcd5"
Invest plan source currency's ticker
Example:
"USDT"
Investment status (1 - active, 2 - closed)
Available options:
1, 2 Example:
1
LIMIT is a special clause used to limit records a particular query can return.
Required range:
1 <= x <= 100Example:
100
Use the OFFSET clause to return entries starting from a particular line.
Required range:
0 <= x <= 10000Example:
0
Was this page helpful?
⌘I